MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022021Community[OCCT] OCCT:Modeling Algorithmspublic2010-09-17 18:192017-09-18 16:08
Reporterszy 
Assigned Tojgv 
PrioritynormalSeveritytrivial 
StatusassignedResolutionreopened 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version 
Summary0022021: Exception during a loft building between two closed contours
DescriptionForum community reports an algorithmic bug during loft building between two close
contours.
The problem is checked (on all versions starting from 6.3.0 till 6.4).
It is reproducible on all versions.
thrusections tr 1 1 lw2 tw2
An exception was caught 004F56D4 : Standard_NoSuchObject:
BRepFill_CompatibleWires::SameNumberByPolarMethod : the wires must be closed
** Exception ** 004F56D4 : Standard_NoSuchObject:
BRepFill_CompatibleWires::SameNumberByPolarMethod : the wires must be closed

Script to reproduce bug.
=========================
restore lowWire1.brep lw1
restore lowWire2.brep lw2
restore topWire1.brep tw1
restore topWire2.brep tw2

thrusections tr 1 1 lw1 lw2 => OK
thrusections tr 1 1 tw1 tw2 => OK
thrusections tr 1 1 lw1 tw1 => KO
thrusections tr 1 1 lw1 tw2 => KO
thrusections tr 1 1 lw2 tw1 => KO
thrusections tr 1 1 lw2 tw2 => KO

Wires and picture are attached.
Also attached Word document - Loft error.doc - with problem description from forum.
TagsNo tags attached.
Test case numberbugs modalg_7 bug22021_1, bug22021_2, bug22021_3, bug22021_4, bug22021_5, bug22021_6
Attached Fileszip file icon ThruSections.zip (130,614 bytes) 2010-09-17 16:19
doc file icon Loft error.doc (100,864 bytes) 2010-09-17 16:20
zip file icon LoftError.zip (51,685 bytes) 2010-09-22 14:33

- Relationships
related to 0025856newmsv BRepOffsetAPI_ThruSections returns an invalid shape if one wire contains degenerated edges 
related to 0024997newifv SIGSEGV in BRepOffsetAPI_ThruSections 

-  Notes
(0018615)
szy (administrator)
2011-11-24 12:19

Suspended because fix may be to much expensive.
(0070642)
apv (tester)
2017-09-18 16:08

Problem described in issue is reproduced on current state of OCCT.

- Issue History
Date Modified Username Field Change
2011-02-03 12:46 bugmaster groupset1 => 4096
2011-02-03 12:46 bugmaster Customer => Community
2011-02-03 12:46 bugmaster Summary => Exception during a loft building between two closed contours
2011-02-09 12:16 bugmaster Assigned To bugmaster => jgv
2011-02-09 12:16 bugmaster Status new => assigned
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-11-24 12:16 szy Resolution open => suspended
2011-11-24 12:16 szy Fixed in Version EMPTY =>
2011-11-24 12:16 szy Description Updated View Revisions
2011-11-24 12:19 szy Note Added: 0018615
2011-11-24 15:48 szy Resolution suspended => reopened
2011-11-24 15:48 szy Description Updated View Revisions
2016-07-06 19:27 msv Relationship added related to 0025856
2016-07-06 19:29 msv Relationship added related to 0024997
2017-09-18 16:08 apv Test case number => bugs modalg_7 bug22021_1, bug22021_2, bug22021_3, bug22021_4, bug22021_5, bug22021_6
2017-09-18 16:08 apv Note Added: 0070642


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker